{% extends 'base.html.twig' %}

{% block title %}Gamers{% endblock %}
{% block stylesheets %}
    <link href="/css/iao-alert.css" rel="stylesheet">
    <style>
        /* CSS */
        .list-counter-square {
            list-style: none;
            counter-reset: list;
            margin: 0;
            padding: 0;
            overflow: hidden;
        }
        .list-counter-square>li {
            position: relative;
            display: block;
            height: 2rem;
            line-height: 2rem;
            margin-left: 2rem;
            margin-bottom: .25rem;
            padding-left: .5rem;
            padding-right: .5rem;
            color: #fff;
            background: #f57c00;
            white-space: nowrap;
        }
        .list-counter-square>li:last-child {
            margin-bottom: 0;
        }
        .list-counter-square>li::before {
            content: counter(list);
            counter-increment: list;
            position: absolute;
            left: -2rem;
            top: 0;
            bottom: 0;
            width: 2rem;
            line-height: 2rem;
            text-align: center;
            color: #fff;
            background: rgba(245, 124, 0, .75);
        }
    </style>
{% endblock %}
{% block body %}
<div class="container">
    <div>
        <h4>TOP <span id="top_length">{{ topGamers|length }}</span> Gamers</h4>
        <ol class="list-counter-square">
            {% for name, score in topGamers %}
                <li>{{ name }}: {{ score }} <span class="delete" data-name="{{ name }}">delete</span></li>
            {% endfor %}
        </ol>
        <hr>
    </div>
    <div>
        <h5>Add gamer</h5>
        <form action="{{ path('add') }}" method="post">
            <div class="form-group">
                <label for="name">Name</label>
                <input type="text" class="form-control" id="name" name="name" placeholder="Name">
            </div>
            <div class="form-group">
                <label for="score">Score</label>
                <input type="number" class="form-control" id="score" name="score" placeholder="Score">
            </div>

            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>
</div>
{% endblock %}
{% block javascripts %}
<script src="https://code.jquery.com/jquery-3.5.1.min.js"
            integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
            crossorigin="anonymous">
</script>
<script src="/js/iao-alert.jquery.js"></script>

<script>
    $('.delete').on("click", function(){
        let name = $(this).attr('data-name');
        let object = $(this);
        $.post("{{ path('delete') }}",
            { name: name}
            )
            .done(function( data ) {
                if(data.status){
                    object.parent().remove();
                    $('#top_length').text($('#top_length').text() - 1);
                    $.iaoAlert({
                        msg: data.message,
                        type: "success",
                        mode: "light",
                        autoHide: true,
                        alertTime: "3000",
                        fadeTime: "500",
                        closeButton: true,
                        closeOnClick: false,
                        position: 'top-right',
                        fadeOnHover: true,
                        roundedCorner: false,
                        zIndex: '999',
                    })
                } else {
                    $.iaoAlert({
                        msg: "Not found",
                        type: "warning",
                        mode: "light",
                        autoHide: true,
                        alertTime: "3000",
                        fadeTime: "500",
                        closeButton: true,
                        closeOnClick: false,
                        position: 'top-right',
                        fadeOnHover: true,
                        roundedCorner: false,
                        zIndex: '999',
                    })
                }
        });
    });

</script>
{% endblock %}
